#import <Cocoa/Cocoa.h>


@interface UrlDownloaderOperation : NSOperation
{
    NSURL * _url;
    NSURLConnection * _connection;
    NSInteger _statusCode;
    NSMutableData * _data;
    NSError * _error;
    
    BOOL _isExecuting;
    BOOL _isFinished;
}

@property (readonly, copy) NSURL * url;
@property (readonly) NSInteger statusCode;
@property (readonly, retain) NSData * data;
@property (readonly, retain) NSError * error;

@property (readonly) BOOL isExecuting;
@property (readonly) BOOL isFinished;

+ (id)urlDownloaderWithUrlString:(NSString *)urlString;

- (id)initWithUrl:(NSURL *)url;

@end
